<template>
  <div>
    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-plus"
          v-hasPermi="['smartor:patinhosp:add']"
          type="primary"
          @click="handleAdd"
          >新增</el-button
        >
      </el-col>
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-edit"
          :disabled="single"
          v-hasPermi="['smartor:patinhosp:edit']"
          type="success"
          @click="handleUpdate"
          >修改</el-button
        >
      </el-col>
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-delete"
          :disabled="multiple"
          v-hasPermi="['smartor:patinhosp:remove']"
          type="danger"
          @click="handleDelete"
          >删除</el-button
        >
      </el-col>
      <el-col :span="1.5">
        <el-button
          size="mini"
          plain="true"
          icon="el-icon-download"
          v-hasPermi="['smartor:patinhosp:export']"
          type="warning"
          @click="handleExport"
          >导出</el-button
        >
      </el-col>
      <right-toolbar :showSearch.sync="showSearch" @queryTable="getList" />
    </el-row>
    <el-table
      v-loading="loading"
      :data="dataList"
      @selection-change="handleSelectionChange"
      @row-click="rowChanged"
    >
      <el-table-column width="50" type="selection" align="center" />
      <el-table-column prop="id" label="  自增ID " align="center" />
      <el-table-column prop="serialnum" label="  就诊流水号 " align="center" />
      <el-table-column prop="patid" label="  档案ID " align="center" />
      <el-table-column
        prop="operationname"
        label="  手术名称 "
        align="center"
      />
      <el-table-column
        prop="operationcode"
        label="  手术代码 "
        align="center"
      />
      <el-table-column prop="operationid" label="  手术ID " align="center" />
      <el-table-column
        prop="operationtime"
        label="  手术时间 "
        align="center"
      />
      <el-table-column prop="visitid" label="  就诊ID " align="center" />
      <el-table-column prop="visittype" label="  就诊类型" align="center" />
      <el-table-column prop="status" label="  手术状态" align="center" />
      <el-table-column
        prop="schemetime"
        label="  方案状态操作时间 "
        align="center"
      />
      <el-table-column
        prop="schemestatus"
        label="  是否生成计划"
        align="center"
      />
      <el-table-column prop="orgid" label="  机构ID " align="center" />
      <el-table-column prop="del_flag" label="  删除标记 " align="center" />
      <el-table-column prop="update_by" label="  更新人 " align="center" />
      <el-table-column prop="update_time" label="  更新时间 " align="center" />
      <el-table-column prop="create_by" label="  创建人 " align="center" />
      <el-table-column prop="create_time" label="  创建时间 " align="center" />
      <el-table-column prop="isupload" label="  上传标记 " align="center" />
      <el-table-column prop="upload_time" label="  上传时间 " align="center" />
      <el-table-column prop="pid" label=" 父ID" align="center" />
      <el-table-column prop="guid" label=" GUID" align="center" />
    </el-table>
  </div>
</template>
<script>
import {
  listpat_med_operation,
  getpat_med_operation,
  delpat_med_operation,
  addpat_med_operation,
  updatepat_med_operation,
} from "@/api/smartor3/pat_med_operation";
export default {
  name: "dw_list_pat_med_operation",
  dicts: ["sys_user_sex", "sys_patientfrom"],
  data() {
    return {
      parent: null,
      // 遮罩层
      loading: true, //false,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: false,
      // 总条数
      total: 0,
      // 表格数据
      dataList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        name: null,
        idcardno: null,
        source: null,
        telcode: null,
        orgid: null,
        isupload: null,
        uploadTime: null,
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {},
    };
  },
  created() {
    //this.getList();
  },
  methods: {
    getList() {
      this.loading = true;
      listpat_med_operation(this.queryParams).then((response) => {
        this.dataList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    handleSelectionChange(selection) {
      this.ids = selection.map((item) => item.patid);
      this.single = selection.length !== 1;
      this.multiple = !selection.length;
      //alert("selections:"+this.ids[0])
      //this.$parent.selectionChanged(this.ids[0])
    },
    handleAdd() {
      this.$parent.HandleCmdDefault("bill.new", this.ids[0]);
    },
    handleUpdate() {
      this.$parent.HandleCmdDefault("bill.open", this.ids[0]);
    },
    rowChanged(row) {
      //alert(row.patid)
      //console.log(row)
      //this.$parent.selectionChanged(row.id)
      this.$parent.id = row.id;
    },
  },
};
</script>
